Skip to main content
GET
/
robots
/
{robotId}
/
lock
checks if a robot is locked
curl --request GET \
  --url https://api.inorbit.ai/robots/{robotId}/lock \
  --header 'x-auth-inorbit-app-key: <api-key>'
{
  "locked": {
    "userId": "M3ojid92H7rq3hvac",
    "userName": "service user",
    "userEmail": null,
    "locked": true,
    "ts": 1597342004918,
    "expirationTs": 1597342604918
  },
  "lockedForUser": false
}

Documentation Index

Fetch the complete documentation index at: https://inorbitinc.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-auth-inorbit-app-key
string
header
required

InOrbit appKey authenticates API requests using a token.

You can obtain your appKey in the Authentication docs.

Path Parameters

robotId
string
required

The robot's id

Response

robot lock status

locked
object
required
lockedForUser
boolean
required

Is there any lock that does not allow the user to use the robot ?